API reference
Create a product spreadsheet session
Opens a bulk edit session over a filtered set of products. The session id is then used to page through the rows.
POST
/v1/catalog/products/spreadsheetOpens a bulk edit session over a filtered set of products. The session id is then used to page through the rows.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/products/spreadsheet" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "totalCount": 0, "expiresAt": "2019-08-24T14:15:22Z"}